Welcome, Autel Pilots!
Join our free Autel drone community today!
Join Us

Autel Sky App - incompatible with various Android versions, can't download it

Whisperit

Member
Joined
Jan 30, 2021
Messages
7
Reaction score
1
Age
47
According to the Autel website the new Sky app should be supported by Android versions 8 and above. I have tried to download the app on various devices that I have:

DeviceAndroid version
Ulefone Amor x59Compatible
Ulefone Amor x69Incompatible - can't download from Play store
Samsung Active29Incompatible - can't download from Play store
Yumkem tablet (cheapo tablet)10Incompatible - can't download from Play store
Huawei P8 Lite7Compatible - I use this one for flying
Samsung S10e12Compatible


Does anyone know why Google Play store won't let me download it on these phones where the Android version should be high enough? What else makes Google decide an app is not compatible?

Anyone else having this issue?
 
Did you look for an APK file for manually installing the app?
I wouldn't trust Google too much if it comes to determining what's good for you. ;)
 
According to the Autel website the new Sky app should be supported by Android versions 8 and above. I have tried to download the app on various devices that I have:

DeviceAndroid version
Ulefone Amor x59Compatible
Ulefone Amor x69Incompatible - can't download from Play store
Samsung Active29Incompatible - can't download from Play store
Yumkem tablet (cheapo tablet)10Incompatible - can't download from Play store
Huawei P8 Lite7Compatible - I use this one for flying
Samsung S10e12Compatible


Does anyone know why Google Play store won't let me download it on these phones where the Android version should be high enough? What else makes Google decide an app is not compatible?

Anyone else having this issue?
I had the same issue. My android version was fine. It turned out to be something deeper than that....my android phone was still 32bit and Autel changed the code to no longer use 32bit. So even tho my phone was fairly new, I could not use it. I went back and found my original download for the sky App and I am still flying with it instead of paying another $200 for a phone upgrade.
 
  • Like
Reactions: Landey
I just bought a Lite and downloaded the Sky app from the Play Store and it's not compatible with either of the devices I used on my Evo. A Huawei prepaid/non activated something or other running Android 8 and a Lenovo 8 8" tablet running Android 10. I had my old S8+ but we just used it as a trade in on a new phone for my wife so for the time being I'm stuck using my current S20+ daily phone.
 
I had the same issue. My android version was fine. It turned out to be something deeper than that....my android phone was still 32bit and Autel changed the code to no longer use 32bit. So even tho my phone was fairly new, I could not use it. I went back and found my original download for the sky App and I am still flying with it instead of paying another $200 for a phone upgrade.
where did you get the 32 bit sky app?
 
  • Like
Reactions: Valthermond
Not working for me. Samsung SM-T590
So I have a Samsung Tab A (SM-T510) that has a 64bit chip, however Samsung has never released firmware supporting 64 so it's running in "32bit Mode". This is why Autel Sky will not install on it. So there seems to be some of us out here with 64bit but still need to use other devices.
 
So I have a Samsung Tab A (SM-T510) that has a 64bit chip, however Samsung has never released firmware supporting 64 so it's running in "32bit Mode". This is why Autel Sky will not install on it. So there seems to be some of us out here with 64bit but still need to use other devices.
That doesn't sound right at all. I know the Sky app can be a bit of a stinker to get installed sometimes but it works on every Android device I've installed it on.
 

Latest threads

Members online

Forum statistics

Threads
11,329
Messages
103,217
Members
9,966
Latest member
jorgeg